本文へスキップ

ホテル

Cancel a booking under its cancellation policy.

post/v1/hotels/bookings/{bookingId}/cancel

  • 認証が必要
  • Idempotency-Key が必要

パラメーター

名前場所型説明
bookingId*パスstring

レスポンス

200OKHotelBooking

  • bookingIdstring
  • bookingReferencestringnull許容
  • statusstring

    confirmed | pending | cancelled | unknown.

  • hotelCodestringnull許容
  • hotelNamestringnull許容
  • cityNamestringnull許容
  • roomTypestringnull許容
  • checkInstringnull許容
  • checkOutstringnull許容
  • Money

    Money on the wire: decimal string (never a float) + ISO 4217.

    • amountstring
    • currencystring
  • refundablebooleannull許容
  • priceChangedboolean
  • HolderInfo
    • firstNamestring
    • lastNamestring
    • emailstring
    • phonestring
  • BookingRoom[]
    • Guest[]
  • specialRequestsstringnull許容
  • confirmedAtstring (date-time)null許容

コードサンプル

ゲートウェイが検証するのと同じ方法でリクエストに署名する、完全なプログラムです。YOUR_KEY_ID と YOUR_SECRET を置き換えてください。

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X POST "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Accept: application/json"